##
##bhm1 different wpp versions (1950-2010)
##bhm2 high low and unpd (1950-2015) and weighted
##bhm3 nigeria and kenya (1950-2015)
##

library("bayesTFR")

setwd("S:/VID/project/tfrproj3/")
wd <- getwd()

for(wpp in c("high2015", "low2015","unpd2015")){
  message(wpp)
  s0<-Sys.time()
  print(s0)
  
  sim.dir <- paste0(wd, "/", wpp)
  unlink(sim.dir, recursive = TRUE, force = TRUE)
  dir.create(sim.dir)
  
  #run once with default iter and then use continue to try and get round stalling
  m<-NULL;m3<-NULL;dg<-NULL;dg3<-NULL;pred<-NULL
  
  m <- run.tfr.mcmc(output.dir=sim.dir, seed=1, start.year=1950, present.year = 2015, wpp.year = 2015,
                    parallel=TRUE, buffer.size = 10000, iter="auto", #iter=10, replace.output=TRUE, 
                    auto.conf=list(max.loops=20),
                    my.tfr.file = paste0("./data/",wpp, "_tfr.csv"))
  
  dg <- get.tfr.convergence(sim.dir=sim.dir); summary(dg)
  
  m3 <- run.tfr3.mcmc(sim.dir=sim.dir, seed=1, iter="auto", 
                      parallel=TRUE, buffer.size = 10000, replace.output = TRUE) 

  if(!is.null(m3))
    dg3 <- get.tfr3.convergence(sim.dir=sim.dir)#; summary(dg3)
  
  pred <- tfr.predict(m, end.year=2100, sim.dir=sim.dir, use.diagnostics=TRUE, seed=1, save.as.ascii="all", 
                      use.tfr3=!is.null(m3), use.correlation = TRUE)
  
  s1<-Sys.time()-s0
  print(s1)
  
  #save space
  save.image(file=paste0(sim.dir,"/info.RData"))
  gc()
}

